# nginx-proxy-manager -- https://nginxproxymanager.com/setup/
---
services:
  app:
    container_name: nginx-proxy-manager
    image: 'docker.io/jc21/nginx-proxy-manager:latest'
    restart: unless-stopped
    ports:
      # These ports are in format <host-port>:<container-port>
      - '80:80' # Public HTTP Port
      - '443:443' # Public HTTPS Port
      - '81:81' # Admin Web Port
      # Add any other Stream port you want to expose
      # - '21:21' # FTP
      # Uncomment this if IPv6 is not enabled on your host
      #DISABLE_IPV6: 'true'
    volumes:
      - /app/nginxproxy/data:/data
      - /app/nginxproxy/letsencrypt:/etc/letsencrypt

  npm-sync:
    container_name: npm-sync
    image: ghcr.io/redth/npm-docker-sync:latest
    restart: unless-stopped
    environment:
      - NPM_URL=http://nginx:81
      - NPM_EMAIL=${NPM_EMAIL}
      - NPM_PASSWORD=${NPM_PASSWORD}
      - DOCKER_HOST=unix:///var/run/docker.sock
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock:ro